Skip to main content
GET
/
api
/
quotes
/
offramp
/
best
Get Best Offramp Quote
curl --request GET \
  --url https://api.teel.finance/api/quotes/offramp/best
{
  "protocol": "rt_9XbN2kQ7r3d",
  "fromToken": "USDC",
  "toCcy": "USD",
  "fromAmount": 1000,
  "toAmount": 997.50,
  "rate": 1.0,
  "fee": 2.50
}
Returns the single best offramp quote across all providers for converting crypto tokens back into fiat currency.

Query Parameters

payout_currency
string
required
ISO 4217 currency code for the desired fiat payout currency (e.g. USD, EUR).
amount
number
required
The amount of crypto tokens to offramp.

Response

protocol
string
Opaque route token (rt_...) identifying the route. See Route tokens.
fromToken
string
The crypto token being sold.
toCcy
string
Target fiat currency code.
fromAmount
number
Amount of crypto tokens being sold.
toAmount
number
Amount in fiat currency the user will receive.
rate
number
The conversion rate applied.
fee
number
Total fee charged for the offramp.
{
  "protocol": "rt_9XbN2kQ7r3d",
  "fromToken": "USDC",
  "toCcy": "USD",
  "fromAmount": 1000,
  "toAmount": 997.50,
  "rate": 1.0,
  "fee": 2.50
}